Agiled Docs
ApiProducts

List Products

GET
/public/v1/products

Returns paginated products. Supported sort fields: created_at, updated_at, name, price, sku, is_active.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

page?string

Page number.

per_page?string

Items per page, up to 100.

sort_by?string

Sort field.

sort_direction?string

Sort direction: asc or desc.

include?string

Comma-separated includes. Supported: category, tags.

category_id?string

Filter by category_id.

is_active?string

Filter by is_active.

pricing_mode?string

Filter by pricing_mode.

search?string

Filter by search.

type?string

Filter by type.

Response Body

application/json

curl -X GET "https://api.agiled.ai/public/v1/products"
{  "data": [    {      "created_at": "string",      "id": "string",      "updated_at": "string"    }  ],  "meta": {    "current_page": 0,    "last_page": 0,    "per_page": 0,    "total": 0  }}
Empty
Empty
Empty
Empty
Empty